Sessions API
Session Live URLs
GET
/
v1
/
sessions
/
{id}
/
debug
Session Live URLs
curl --request GET \
--url https://api.browserbase.com/v1/sessions/{id}/debug \
--header 'X-BB-API-Key: <api-key>'import requests
url = "https://api.browserbase.com/v1/sessions/{id}/debug"
headers = {"X-BB-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BB-API-Key': '<api-key>'}};
fetch('https://api.browserbase.com/v1/sessions/{id}/debug', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"debuggerFullscreenUrl": "<string>",
"debuggerUrl": "<string>",
"pages": [
{
"id": "<string>",
"url": "<string>",
"faviconUrl": "<string>",
"title": "<string>",
"debuggerUrl": "<string>",
"debuggerFullscreenUrl": "<string>"
}
],
"wsUrl": "<string>"
}Authorizations
Your Browserbase API Key.
Path Parameters
Was this page helpful?
⌘I
Session Live URLs
